summaryrefslogtreecommitdiff
path: root/packages/hostap/hostap-daemon/init
diff options
context:
space:
mode:
authorMarcin Juszkiewicz <hrw@openembedded.org>2006-03-20 19:30:02 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2006-03-20 19:30:02 +0000
commit0979748c503f452891b5a446ce360f977dd50dc1 (patch)
tree2f311565227a8d6e7e9563a652a17e741ebddfc9 /packages/hostap/hostap-daemon/init
parentdec5b5b377ef3542b7b0fa1c3a2a2a4e6e01ec59 (diff)
hostap-daemon: moved repeated patches to hostap-daemon/ dir
Diffstat (limited to 'packages/hostap/hostap-daemon/init')
-rw-r--r--packages/hostap/hostap-daemon/init39
1 files changed, 39 insertions, 0 deletions
diff --git a/packages/hostap/hostap-daemon/init b/packages/hostap/hostap-daemon/init
new file mode 100644
index 0000000000..b0736c0baa
--- /dev/null
+++ b/packages/hostap/hostap-daemon/init
@@ -0,0 +1,39 @@
+#!/bin/sh
+DAEMON=/usr/sbin/hostapd
+NAME=httpd
+DESC="HOSTAP Daemon"
+ARGS="/etc/hostapd.conf"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0